package com.bxzk.afxj.DaggerComponent;


import com.bxzk.afxj.View.BaseActivity.BaseBarActivity;
import com.bxzk.afxj.View.BaseActivity.BaseFragment;
import com.bxzk.afxj.retrofit.HomeBean;
import com.bxzk.afxj.retrofit.News;

import dagger.Module;
import dagger.Provides;

@Module
public class MainModule {
    private BaseBarActivity b;
    private BaseFragment c;
    public MainModule(BaseFragment c) {
        this.c = c;
    }

    public MainModule(BaseBarActivity b) {
        this.b = b;
    }

    public MainModule() {

    }

    @ActivityScope
    @Provides
    News provideLgin() {
        return new News();
    }


    @ActivityScope
    @Provides
    HomeBean privateHomeBean(){
        return new HomeBean();
    }


}
